Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:	An object database, tag/metadata database, search tool and indexer
Name:		tracker
Version:	0.7.19
Release:	1
License:	GPLv2+
Group:		Databases
URL:		http://www.gnome.org/~jamiemcc/tracker/
Source0:	http://www.gnome.org/~jamiemcc/tracker/%{name}-%{version}.tar.bz2
Patch0:		tracker-0.7.19-python26.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	i686
BuildRequires:	poppler-devel
BuildRequires:	gettext
BuildRequires:	gamin-devel
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:	deskbar-applet
BuildRequires:	PyGTK-devel

Requires:	o3read

BuildRequires:	evolution-devel

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: dbus
BuildRequires: dbus-glib-devel
BuildRequires: exempi-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: GConf-devel
BuildRequires: glib
BuildRequires: glibc-devel
BuildRequires: gmime-devel
BuildRequires: gnome-desktop-devel
BuildRequires: gnome-vfs-devel
BuildRequires: gstreamer10-devel
BuildRequires: gtk2+-devel
BuildRequires: hal-devel
BuildRequires: libart_lgpl-devel
BuildRequires: libbonobo-devel
BuildRequires: libbonoboui-devel
BuildRequires: libexif-devel
BuildRequires: libglade-devel
BuildRequires: libgnomecanvas-devel
BuildRequires: libgnome-devel
BuildRequires: libgnomeui-devel
BuildRequires: libgsf-devel
BuildRequires: libICE-devel
BuildRequires: libnotify-devel
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libxml2-devel
BuildRequires: ORBit2-devel
BuildRequires: pango-devel
BuildRequires: poppler-glib-devel
BuildRequires: popt-devel
BuildRequires: sqlite-devel
BuildRequires: startup-notification-devel
BuildRequires: zlib-devel

%description
Tracker is a powerful desktop-neutral first class object database,
tag/metadata database, search tool and indexer. 

It consists of a common object database that allows entities to have an
almost infinte number of properties, metadata (both embedded/harvested as
well as user definable), a comprehensive database of keywords/tags and
links to other entities.

It provides additional features for file based objects including context
linking and audit trails for a file object.

It has the ability to index, store, harvest metadata. retrieve and search  
all types of files and other first class objects

%package	devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig
Requires:	dbus-glib-devel gtk2+-devel

%description	devel
This package contains the static libraries and header files needed for
developing with tracker

%package	search-tool
Summary:	Tracker search tool(s)
Group:		User Interface/Desktops
Requires:	%{name} = %{version}-%{release}

%description	search-tool
Graphical frontend to tracker search facilities. This has dependencies on
GNOME libraries

%prep
%setup -q
%patch0 -p1

%build
%define deskbar_applet_dir %(pkg-config --variable modulesdir deskbar-applet)
%define deskbar_type module
%configure --disable-static --enable-deskbar-applet=%{deskbar_type}

# Disable rpath
#sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
#sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

desktop-file-install --delete-original			\
	--vendor="fedora"				\
	--dir=%{buildroot}%{_datadir}/applications	\
	%{buildroot}%{_datadir}/applications/%{name}-preferences.desktop

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%post search-tool
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun -p /sbin/ldconfig

%postun search-tool
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files -f %{name}.lang
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_datadir}/tracker/
%{_libdir}/libtracker*.so.*
%{_locale}/*/LC_MESSAGES/tracker.mo
%{_mandir}/man1/tracker-control.1.gz
%{_mandir}/man1/tracker-extract.1.gz
%{_mandir}/man1/tracker-import.1.gz
%{_mandir}/man1/tracker-info.1.gz
%{_mandir}/man1/tracker-miner-fs.1.gz
%{_mandir}/man1/tracker-preferences.1.gz
%{_mandir}/man1/tracker-search.1.gz
%{_mandir}/man1/tracker-search-bar.1.gz
%{_mandir}/man1/tracker-sparql.1.gz
%{_mandir}/man1/tracker-stats.1.gz
%{_mandir}/man1/tracker-status.1.gz
%{_mandir}/man1/tracker-status-icon.1.gz
%{_mandir}/man1/tracker-store.1.gz
%{_mandir}/man1/tracker-tag.1.gz
%{_mandir}/man5/tracker-extract.cfg.5.gz
%{_mandir}/man5/tracker-fts.cfg.5.gz
%{_mandir}/man5/tracker-miner-fs.cfg.5.gz
%{_mandir}/man5/tracker-store.cfg.5.gz
%{_bindir}/tracker-control
%{_bindir}/tracker-import
%{_bindir}/tracker-info
%{_bindir}/tracker-sparql
%{_bindir}/tracker-stats
%{_bindir}/tracker-status
%{_bindir}/tracker-status-icon
%{_bindir}/tracker-tag
%{_sysconfdir}/xdg/autostart/tracker-miner-fs.desktop
%{_sysconfdir}/xdg/autostart/tracker-status-icon.desktop
%{_sysconfdir}/xdg/autostart/tracker-store.desktop
%{_libdir}exec/tracker-extract
%{_libdir}exec/tracker-miner-fs
%{_libdir}exec/tracker-store
%{_libdir}exec/tracker-writeback
%{_libdir}/nautilus/extensions-2.0/libnautilus-tracker-tags.la
%{_libdir}/nautilus/extensions-2.0/libnautilus-tracker-tags.so
%{_libdir}/tracker-0.7
%{_datadir}/dbus-1/services/org.freedesktop.Tracker1.Extract.service
%{_datadir}/dbus-1/services/org.freedesktop.Tracker1.Miner.Applications.service
%{_datadir}/dbus-1/services/org.freedesktop.Tracker1.Miner.Files.service
%{_datadir}/dbus-1/services/org.freedesktop.Tracker1.service

%files devel
%defattr(-, root, root, -)
%{_includedir}/tracker-0.7
%{_libdir}/libtracker-*.so
%{_libdir}/libtracker-*.la
%{_pkgconfig}/tracker-client-0.7.pc
%{_pkgconfig}/tracker-extract-0.7.pc
%{_pkgconfig}/tracker-gtk-0.7.pc
%{_pkgconfig}/tracker-miner-0.7.pc

%files search-tool
%defattr(-, root, root, -)
%{_bindir}/tracker-preferences
%{_bindir}/tracker-search
%{deskbar_applet_dir}/tracker*.py*
%{_datadir}/icons/hicolor/16x16/apps/tracker.png
%{_datadir}/icons/hicolor/22x22/apps/tracker.png
%{_datadir}/icons/hicolor/24x24/apps/tracker.png
%{_datadir}/icons/hicolor/32x32/apps/tracker.png
%{_datadir}/icons/hicolor/48x48/apps/tracker.png
%{_datadir}/icons/hicolor/scalable/apps/tracker.svg
%{_applications}/fedora-tracker-preferences.desktop

%changelog
* Sun Feb 07 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.7.19-1
- Version update
* Sun Dec 14 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.6.6-4
- rebuilt against poppler 0.10.0
* Tue Jul 15 2008 Christian Wasem <wasem@ccux-linux.de> 0.6.6-3
- rebuilt against poppler 0.8.4, correct package group
* Sat Apr 19 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.6.6-2
- rebuilt against poppler 0.8.0
* Tue Mar 18 2008 Christian Metzen <metzench@ccux-linux.de> 0.6.6-1
- Initial release
